#!/bin/bash

# source package is here : http://gtk-gnutella.sourceforge.net
# Packager : JP <jp.guillemin@free.fr>

soft='gtk-gnutella'
softversion='0.96.5'
packageversion='54.1'

arch='i486'
cpu='i686'

buildir=$(pwd)
srcpkg="$buildir/$soft-$softversion.tar.bz2"
src="$buildir/$soft-$softversion"
package="$soft-$softversion-$arch-$packageversion"
dest="/tmp/$package"

cd $buildir
rm -rf $src
tar -xvf $srcpkg
rm -f $dest.tgz
rm -rf $dest
mkdir -p $dest

export CFLAGS="-O2 -march=$arch -mtune=$cpu"

cd $src
chown -R root:root .
find . -perm 777 -exec chmod 755 {} \;
./Configure \
        -Oders \
        -D prefix=/usr \
        -D privlib=/usr/share/gtk-gnutella \
        -D cc=gcc \
        -D ccflags="-W -Wall -Wformat=2" \
        -D optimize="-O2 -march=$arch -mtune=$cpu" \
        -D gtkversion=2 \
        -D official=true
make
make install INSTALL_PREFIX=$dest


( cd $dest
  find . | xargs file | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded
)
( cd $dest/usr/man
  find . -name "*.?" | xargs gzip -9
)

mkdir -p $dest/usr/doc/$soft-$softversion
cp -a \
  AUTHORS GEO_LICENSE LICENSE ChangeLog README TODO MANIFEST \
  $dest/usr/doc/$soft-$softversion

# cleanup
rm -rf $dest/usr/share/doc


mkdir -p $dest/install
cat > $dest/install/slack-desc << END
gtk-gnutella: Gtk-Gnutella is a GTK2 UI based Gnutella servent
gtk-gnutella:
gtk-gnutella: Gtk-Gnutella is a GUI based Gnutella servent, following
gtk-gnutella: the original look of Gnutella v0.5
gtk-gnutella:
gtk-gnutella:
gtk-gnutella:
gtk-gnutella:
gtk-gnutella:
gtk-gnutella:
gtk-gnutella:
END


mkdir -p $dest/usr/src/$soft-$softversion
( cd $buildir
cp -a build-$soft.sh $dest/usr/src/$soft-$softversion/
)

cd $dest
makepkg -l y -c n $dest.tgz

# cleanup
rm -rf $dest
rm -rf $src
